Mail archive
alpine-aports

[alpine-aports] [PATCH] community/datamash: move from testing

From: Assaf Gordon <assafgordon_at_gmail.com>
Date: Thu, 5 Apr 2018 17:39:57 -0600

---
 community/datamash/APKBUILD | 51 +++++++++++++++++++++++++++++++++++++++++++++
 testing/datamash/APKBUILD   | 51 ---------------------------------------------
 2 files changed, 51 insertions(+), 51 deletions(-)
 create mode 100644 community/datamash/APKBUILD
 delete mode 100644 testing/datamash/APKBUILD
diff --git a/community/datamash/APKBUILD b/community/datamash/APKBUILD
new file mode 100644
index 0000000..57d7bcb
--- /dev/null
+++ b/community/datamash/APKBUILD
_at_@ -0,0 +1,51 @@
+# Contributor: Assaf Gordon <assafgordon_at_gmail.com>
+# Maintainer: Assaf Gordon <assafgordon_at_gmail.com>
+pkgname=datamash
+pkgver=1.3
+pkgrel=0
+
+pkgdesc="command-line text/math procesing"
+url="https://www.gnu.org/software/datamash/"
+arch="all"
+license="GPL"
+source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--disable-nls \
+		--disable-werror \
+		--with-bash-completion-dir=local
+
+	make
+}
+
+package() {
+	cd "$builddir"
+
+	make -j1 DESTDIR="$pkgdir" install
+	rm -rf "$pkgdir"/usr/share/datamash/examples \
+		"$pkgdir"/usr/lib/charset.alias
+}
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+
+	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
+	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
+		"$subpkgdir"/usr/share/bash-completion/completions/
+	rm -r "$pkgdir"/usr/share/datamash/bash-completion.d || true
+}
+
+sha512sums="3c36dd01035dc114f2fbfcb8746354e496e6c1536f7b5908cf25632d9cbaddfcd06fc26f8883ef845a6ecd85ceb5708bb7edb3d1b1c6efa273ef5ec0b758366a  datamash-1.3.tar.gz"
diff --git a/testing/datamash/APKBUILD b/testing/datamash/APKBUILD
deleted file mode 100644
index 57d7bcb..0000000
--- a/testing/datamash/APKBUILD
+++ /dev/null
_at_@ -1,51 +0,0 @@
-# Contributor: Assaf Gordon <assafgordon_at_gmail.com>
-# Maintainer: Assaf Gordon <assafgordon_at_gmail.com>
-pkgname=datamash
-pkgver=1.3
-pkgrel=0
-
-pkgdesc="command-line text/math procesing"
-url="https://www.gnu.org/software/datamash/"
-arch="all"
-license="GPL"
-source="http://ftpmirror.gnu.org/datamash/$pkgname-$pkgver.tar.gz"
-subpackages="$pkgname-doc $pkgname-bash-completion:bashcomp:noarch"
-
-builddir="$srcdir/$pkgname-$pkgver"
-
-build() {
-	cd "$builddir"
-
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--disable-nls \
-		--disable-werror \
-		--with-bash-completion-dir=local
-
-	make
-}
-
-package() {
-	cd "$builddir"
-
-	make -j1 DESTDIR="$pkgdir" install
-	rm -rf "$pkgdir"/usr/share/datamash/examples \
-		"$pkgdir"/usr/lib/charset.alias
-}
-
-bashcomp() {
-	depends=""
-	pkgdesc="Bash completions for $pkgname"
-	install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
-
-	mkdir -p "$subpkgdir"/usr/share/bash-completion/completions/
-	mv "$pkgdir"/usr/share/datamash/bash-completion.d/datamash \
-		"$subpkgdir"/usr/share/bash-completion/completions/
-	rm -r "$pkgdir"/usr/share/datamash/bash-completion.d || true
-}
-
-sha512sums="3c36dd01035dc114f2fbfcb8746354e496e6c1536f7b5908cf25632d9cbaddfcd06fc26f8883ef845a6ecd85ceb5708bb7edb3d1b1c6efa273ef5ec0b758366a  datamash-1.3.tar.gz"
-- 
2.7.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Apr 05 2018 - 17:39:57 GMT